gtk-0.12.4: Binding to the Gtk+ graphical user interface library.

Portability | portable (depends on GHC)
Stability | provisional
Maintainer | gtk2hs-users@lists.sourceforge.net
Safe Haskell | None

Graphics.UI.Gtk.Windows.OffscreenWindow

Contents

- Detail
- Class Hierarchy
- Types
- Constructors
- Methods

Description

A toplevel container widget used to manage offscreen rendering of child widgets.

- Module available since Gtk+ version 2.20

Synopsis

- data OffscreenWindow
- class WindowClass o => OffscreenWindowClass o
- castToOffscreenWindow :: GObjectClass obj => obj -> OffscreenWindow
- gTypeOffscreenWindow :: GType
- toOffscreenWindow :: OffscreenWindowClass o => o -> OffscreenWindow
- offscreenWindowNew :: IO OffscreenWindow
- offscreenWindowGetPixmap :: OffscreenWindowClass self => self -> IO (Maybe Pixmap)
- offscreenWindowGetPixbuf :: OffscreenWindowClass self => self -> IO (Maybe Pixbuf)

# Detail

`OffscreenWindow` is strictly intended to be used for obtaining snapshots of widgets that are not part of a normal widget hierarchy. It differs from `widgetGetSnapshot` in that the widget you want to get a snapshot of need not be displayed on the user's screen as a part of a widget hierarchy. However, since `OffscreenWindow` is a toplevel widget you cannot obtain snapshots of a full window with it since you cannot pack a toplevel widget in another toplevel.

The idea is to take a widget and manually set the state of it, add it to a `OffscreenWindow` and then retrieve the snapshot as a `Pixmap` or `Pixbuf`.

`OffscreenWindow` derives from `Window` only as an implementation detail. Applications should not use any API specific to `Window` to operate on this object. It should be treated as a `Bin` that has no parent widget.

When contained offscreen widgets are redrawn, `OffscreenWindow` will emit a `damageEvent` signal.

# Class Hierarchy

     | GObject
     | +----Object
     | +----Widget
     | +----Container
     | +----Bin
     | +----Window
     | +----OffscreenWindow

# Types

data OffscreenWindow

Instances

Eq OffscreenWindow |
Ord OffscreenWindow |
GObjectClass OffscreenWindow |
OffscreenWindowClass OffscreenWindow |
WindowClass OffscreenWindow |
BinClass OffscreenWindow |
ContainerClass OffscreenWindow |
WidgetClass OffscreenWindow |
ObjectClass OffscreenWindow |

class WindowClass o => OffscreenWindowClass o

Instances

OffscreenWindowClass OffscreenWindow |

castToOffscreenWindow :: GObjectClass obj => obj -> OffscreenWindow

gTypeOffscreenWindow :: GType

toOffscreenWindow :: OffscreenWindowClass o => o -> OffscreenWindow

# Constructors

offscreenWindowNew :: IO OffscreenWindow

Creates a toplevel container widget that is used to retrieve snapshots of widgets without showing them on the screen. For widgets that are on the screen and part of a normal widget hierarchy, `widgetGetSnapshot` can be used instead.

- Available since Gtk+ version 2.20

# Methods

offscreenWindowGetPixmap

Arguments

:: OffscreenWindowClass self |
=> self | `offscreen` the `OffscreenWindow` contained widget.
-> IO (Maybe Pixmap) | returns A `Pixmap` pointer to the offscreen pixmap, or `Nothing`.

Retrieves a snapshot of the contained widget in the form of a `Pixmap`. If you need to keep this around over window resizes then you should add a reference to it.

- Available since Gtk+ version 2.20

offscreenWindowGetPixbuf

Arguments

:: OffscreenWindowClass self |
=> self | `offscreen` the `OffscreenWindow` contained widget.
-> IO (Maybe Pixbuf) | returns A `Pixbuf` pointer to the offscreen pixbuf, or `Nothing`.

Retrieves a snapshot of the contained widget in the form of a `Pixbuf`.

- Available since Gtk+ version 2.20